<template>
<div class="up_menu laguage-selector right" :class="[{show: show}]">
    <button class='toggler' @click="toggle" tabindex="1">
        <span>{{ current.toUpperCase() }}</span>
        <i class="fas fa-chevron-down ml-2"></i>
    </button>
    <div class="mini_lang">
        <a :href="UrlTo()">
            {{ current.toUpperCase() == "RU" ? "KZ" : "RU" }}
        </a>
    </div>
</div>
</template>

<script>
export default {
    data() {
        return {
            show: false
        };
    },
    props: ['current'],
    mounted() {
    },
    methods: {
        toggle() {
            this.show = !this.show
        },
        UrlTo() {
            if (this.current.toUpperCase() == "RU") {
                // console.log("MODE KZ", window.location.href, window.location.href.replace("/ru", "/kz")) 
                return window.location.href.replace("/ru", "/kz")
            }
            if (this.current.toUpperCase() == "KZ") {
                // console.log("MODE RU", window.location.href, window.location.href.replace("/kz", "/ru"))
                return window.location.href.replace("/kz", "/ru")
            }
        }
    }
}
</script>

<style>

</style>